commit:     600a1d28a3e57c3b083b6e0d0be0922911c64870
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 28 22:56:40 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Apr 28 23:00:44 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=600a1d28

sys-block/storcli: bump to v7.1316

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 sys-block/storcli/Manifest              |  1 +
 sys-block/storcli/storcli-7.1316.ebuild | 68 +++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/sys-block/storcli/Manifest b/sys-block/storcli/Manifest
index 10c654368ba..7cbf1b99be9 100644
--- a/sys-block/storcli/Manifest
+++ b/sys-block/storcli/Manifest
@@ -9,3 +9,4 @@ DIST storcli-7.0606.zip 36634159 BLAKE2B 
56cae14537872ef23d8ddc6a0790b727abdf4ab
 DIST storcli-7.0709.zip 25844769 BLAKE2B 
f44791d0813f348068a89a14a0ea457667ab8e224da09a458bfd1126f5e1d9f19655f5392a8d2a8a04ae07f76fc3c91abcdbd48a058c8e9d517c504de8688e66
 SHA512 
c3995110b592bbf6e58a0e54f62ddbdbb025c6d27ce56111a40d9eb04b7d5ee7a9bfc76e449b0b4900e1082f20df8e06a852a3fe0efc1114158d104036f6033e
 DIST storcli-7.1017.zip 36266095 BLAKE2B 
e1bb4c6bbd19712530fc8d3d7917bf943221f121d0a7d5d3e44205f73bab408d7e4ff94d8cac479a1b834b82e8bdb6661805ca13f1695f8bad52d69d2c988fe9
 SHA512 
fb4b45fa577417627e67d20bbfa2e07512fe600ffeb9d21e11a80e25208f17b56fb25fa74a9777622c72012a605813b0206a990a6d4191f6b57371bd1d72fd6b
 DIST storcli-7.1211.zip 36988201 BLAKE2B 
487dda0c78af60d96dc6eb8bc0c7074dd99719acc4faf10027430ea80a5d1cb76e6bdc9eaf0931967c5cdf10d80ee824f45118144bfc032a4ddce52d678df354
 SHA512 
f28ae41adf2286153ecd57f7d022940069356c9636e45aaae4ae45215487bbb8e3dea51fa4aa00b9e9340069036c1be21b186ce177e0fd0a6a0bb786cb58181f
+DIST storcli-7.1316.zip 37136466 BLAKE2B 
7bca2e1b330f40e66945567ac8fad04d448993ff7ab4a4d846a0b6142fbe3988ab00775aa3897e3268e30b34cb7659e96f75d2383d3e85e4bec433edde5ba17e
 SHA512 
049b34d44bb1140ad804f6bb6d8fb133ac9bbc4aface721051e713c7a1056acb0f894f4f4793ef9e02e48958a745d12bc5389e7e763716c780fb1c2c387e34d6

diff --git a/sys-block/storcli/storcli-7.1316.ebuild 
b/sys-block/storcli/storcli-7.1316.ebuild
new file mode 100644
index 00000000000..dc1d0ad80e7
--- /dev/null
+++ b/sys-block/storcli/storcli-7.1316.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit pax-utils
+
+# Upstream is still using strange version numbers
+MY_PV="007.1316.0000.0000"
+
+DESCRIPTION="MegaRAID StorCLI (successor of the MegaCLI)"
+HOMEPAGE="https://www.broadcom.com/support/download-search?dk=storcli";
+SRC_URI="https://docs.broadcom.com/docs-and-downloads/raid-controllers/raid-controllers-common-files/${MY_PV}_Unified_StorCLI.zip
 -> ${P}.zip"
+
+LICENSE="Avago LSI BSD"
+SLOT="0/7.13"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE=""
+
+RDEPEND=""
+DEPEND="app-arch/unzip"
+
+MY_STORCLI_BASEDIR="/opt/lsi/storcli"
+
+QA_PRESTRIPPED="${MY_STORCLI_BASEDIR:1}/storcli
+       ${MY_STORCLI_BASEDIR:1}/storcli32"
+QA_PREBUILT=${QA_PRESTRIPPED}
+
+src_unpack() {
+       mkdir srcfiles || die
+       pushd srcfiles &>/dev/null || die
+       default
+       mv Unified_storcli_all_os/Ubuntu/storcli_*.deb "${WORKDIR}" || die 
"Failed to move storcli_*.deb"
+       popd &>/dev/null || die
+
+       rm -rf srcfiles || die
+
+       # Unpack Ubuntu package which will be our $S content
+       unpack "${WORKDIR}"/storcli_*.deb
+       rm -f storcli_*.deb || die "Failed to cleanup storcli_*.deb package"
+       unpack "${WORKDIR}"/data.tar.xz
+
+       mkdir "${S}" || die "Failed to create '${S}'"
+}
+
+src_prepare() {
+       default
+
+       # Create clean $S
+       mv "${WORKDIR}"/opt/Mega*/storcli/* "${S}" || die "Failed to move 
storcli_.deb content to '${S}'"
+       rm -rf "${WORKDIR}"/{opt,control.tar.gz,data.tar.gz,debian-binary} || 
die "Failed to cleanup no longer needed files"
+}
+
+src_install() {
+       exeinto "${MY_STORCLI_BASEDIR}"
+
+       if use x86; then
+               doexe storcli
+       elif use amd64; then
+               # 32-bit version is less crashy than the 64bit (bug #656494)
+               newexe storcli storcli32
+               newexe storcli64 storcli
+       fi
+
+       dosym "${MY_STORCLI_BASEDIR}"/storcli /usr/sbin/storcli
+
+       pax-mark m "${D}${MY_STORCLI_BASEDIR}"/storcli
+}

Reply via email to